org.apache.http.impl.client

## Class LaxRedirectStrategy

- java.lang.Object
- - org.apache.http.impl.client.DefaultRedirectStrategy
  - - org.apache.http.impl.client.LaxRedirectStrategy

All Implemented Interfaces:
  RedirectStrategy

    @Contract(threading=IMMUTABLE)
    public class LaxRedirectStrategy
    extends DefaultRedirectStrategy

Lax `RedirectStrategy` implementation that automatically redirects all HEAD, GET, POST, and DELETE requests. This strategy relaxes restrictions on automatic redirection of POST methods imposed by the HTTP specification.

Since:
  4.2

### Field Summary

Fields
`static LaxRedirectStrategy` `INSTANCE`

### Fields inherited from class org.apache.http.impl.client.DefaultRedirectStrategy

`REDIRECT_LOCATIONS, SC_PERMANENT_REDIRECT`

### Constructor Summary

Constructors
Constructor and Description
`LaxRedirectStrategy()`

### Method Summary

### Methods inherited from class org.apache.http.impl.client.DefaultRedirectStrategy

`createLocationURI, getLocationURI, getRedirect, isRedirectable, isRedirected`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final LaxRedirectStrategy INSTANCE

### Constructor Detail

#### LaxRedirectStrategy

    public LaxRedirectStrategy()